Bug 188938 - [NEW PORT] net-mgmt/nsca-ng: Monitoring command acceptor
Summary: [NEW PORT] net-mgmt/nsca-ng: Monitoring command acceptor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-04-24 03:50 UTC by Peng-root
Modified: 2015-04-24 04:14 UTC (History)
2 users (show)

See Also:


Attachments
nsca-ng.shar (7.73 KB, text/plain)
2014-04-24 03:50 UTC, Peng-root
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peng-root 2014-04-24 03:50:00 UTC
This is a port for NSCA-ng. NSCA-ng provides a client-server pair which
makes the Nagios command file accessible to remote systems. This allows
for submitting passive check results, downtimes, and many other commands
to Nagios or compatible monitoring solutions.

NSCA-ng is comand line compatible with NSCA, but NSCA clients could not
talk to NSCA-ng servers (nor vice versa). NSCA-ng has varios advantages
over NSCA. It provides for example TLS encryption and shared-secret
authentication with per-client password.

The nsca-ng port contains the server part of NSCA-ng and the nsca-ng-client
port contians the send_nsca client and various example scripts.
Comment 1 John Marino freebsd_committer 2014-08-15 11:27:58 UTC
Carlo jumped the gun.  Before this can be considered "patch-ready", we need to see some verification about it's quality.  Unless Carlo wants to assign the port to himself at his own risk:

 In order of preference, examples of what I'm looking for are:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs
3) "make check-plist" followed by "make stage-qa" output  (https://www.freebsd.org/doc/en/books/porters-handbook/porting-testing.html)

Also, please run "portlint" and paste the output.
Comment 2 John Marino freebsd_committer 2014-08-16 09:30:28 UTC
Get this out of triage.  There's no guarantee test logs are coming.
Comment 3 Mathieu Arnold freebsd_committer 2015-04-23 08:20:57 UTC
(In reply to John Marino from comment #1)
> 2) Redports or tinderbox logs

Redports, in its current form, is dead. Do not use Tinderbox. :-)
Comment 4 commit-hook freebsd_committer 2015-04-23 15:38:36 UTC
A commit references this bug:

Author: mat
Date: Thu Apr 23 15:38:02 UTC 2015
New revision: 384593
URL: https://svnweb.freebsd.org/changeset/ports/384593

Log:
  Add net-mgmt/nsca-ng and net-mgmt/nsca-ng-client, client-server pair which
  makes the Nagios command file accessible to remote systems.

  PR:		188938
  Submitted by  root peng spline inf fu-berlin de
  Sponsored by:	Absolight

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/nsca-ng/
  head/net-mgmt/nsca-ng/Makefile
  head/net-mgmt/nsca-ng/distinfo
  head/net-mgmt/nsca-ng/files/
  head/net-mgmt/nsca-ng/files/nsca-ng.in
  head/net-mgmt/nsca-ng/files/patch-src_server_nsca-ng.c
  head/net-mgmt/nsca-ng/pkg-descr
  head/net-mgmt/nsca-ng/pkg-plist
  head/net-mgmt/nsca-ng-client/
  head/net-mgmt/nsca-ng-client/Makefile
  head/net-mgmt/nsca-ng-client/pkg-plist
Comment 5 commit-hook freebsd_committer 2015-04-23 15:47:39 UTC
A commit references this bug:

Author: mat
Date: Thu Apr 23 15:47:20 UTC 2015
New revision: 384595
URL: https://svnweb.freebsd.org/changeset/ports/384595

Log:
  This was forgotten in the port cleanup.

  PR:		188938
  Sponsored by:	Absolight

Changes:
  head/net-mgmt/nsca-ng/pkg-plist
  head/net-mgmt/nsca-ng-client/pkg-plist